<template>
  <section class="col-md-9 col-12">
    <search-scope-select-bar
      :config="searchFiltersConfig"
    />
    <search-filters
      :config="searchFiltersConfig"
    />
    <datasets-info-box />
    <selectedFacetsOverview v-if="getFacets" :selected-facets="getFacets" :available-facets="getAllAvailableFacets" />
    <dataset-details-skeleton v-if="getLoading" type="Datasets" />
    <template v-if="!getLoading">
      <dataset-list-infos />
      <combined-list />
    </template>
  </section>
</template>

<script>
import {
  DatasetDetailsSkeleton,
  SelectedFacetsOverview,
} from "@piveau/piveau-hub-ui-modules";
import SearchFilters from "@/components/search/search-filters/SearchFilters";
import DatasetListInfos from "@/components/search/datasets/DatasetListInfos";
import DatasetsInfoBox from "@/components/search/datasets/DatasetsInfoBox";
import {mapGetters} from "vuex";
import SearchScopeSelectBar from "@/components/search/search-filters/SearchScopeSelectBar";
import CombinedList from "@/components/search/combined/CombinedList";

export default {
  name: "CombinedContent",
  components: {
    CombinedList,
    SearchScopeSelectBar,
    SearchFilters,
    DatasetDetailsSkeleton,
    SelectedFacetsOverview,
    DatasetListInfos,
    DatasetsInfoBox
  },
  data() {
    return {
      searchFiltersConfig: {
        scope: "combined",
        useScopeDropdown: false,
        apiFilter: 'filters=catalogue,dataset,resource',
        apiQueryParams: 'resource=editorial-content',
        textFieldHelpLink: `https://dataeuropa.gitlab.io/data-provider-manual/how-to-search/search-for-datasets/`,
        textKeys: {
          mobileSearchButton: 'message.datasets.ecd.filters.search',
          textFieldPlaceholder: 'message.search.searchBarPlaceholder.combined',
          count: "message.search.countMessage.combined",
          loading: "message.datasets.loadingMessage"
        },
        getQuery: ["datasets", "getQuery"],
        setQuery: ["datasets", "setQuery"],
        setSort: ["datasets", "setSort"],
        getCount: ["search", "getTotalCount"],
        getLoading: ["datasets", "getLoading"],
        getFacets: ["datasets", "getFacets"],
      }
    }
  },
  computed: {
    ...mapGetters("datasets", ["getFacets", "getQuery", "getAllAvailableFacets",
      "getLoading", "getDatasetsCount"])
  }
}
</script>
